Skip to main content
POST
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    verification "github.com/auth0/go-auth0/management/verifiablecredentials/verification"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.VerifiableCredentials.Verification.Templates.Create(
        context.TODO(),
        &verification.CreateVerifiableCredentialTemplateRequestContent{
            Name: "name",
            Type: "type",
            Dialect: "dialect",
            Presentation: &management.MdlPresentationRequest{
                OrgIso1801351MDl: &management.MdlPresentationRequestProperties{
                    OrgIso1801351: &management.MdlPresentationProperties{},
                },
            },
            WellKnownTrustedIssuers: "well_known_trusted_issuers",
        },
    )
}
{
  "id": "vct_0000000000000001",
  "name": "<string>",
  "type": "mdl",
  "dialect": "simplified/1.0",
  "presentation": {
    "org.iso.18013.5.1.mDL": {
      "org.iso.18013.5.1": {
        "family_name": true,
        "given_name": true,
        "birth_date": true,
        "issue_date": true,
        "expiry_date": true,
        "issuing_country": true,
        "issuing_authority": true,
        "portrait": true,
        "driving_privileges": true,
        "resident_address": true,
        "portrait_capture_date": true,
        "age_in_years": true,
        "age_birth_year": true,
        "issuing_jurisdiction": true,
        "nationality": true,
        "resident_city": true,
        "resident_state": true,
        "resident_postal_code": true,
        "resident_country": true,
        "family_name_national_character": true,
        "given_name_national_character": true
      }
    }
  },
  "custom_certificate_authority": "<string>",
  "well_known_trusted_issuers": "<string>",
  "created_at": "2021-01-01T00:00:00Z",
  "updated_at": "2021-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required
Required string length: 1 - 255
type
string
required
Required string length: 1 - 255
dialect
string
required
Maximum string length: 255
Pattern: ^simplified/1.0$
presentation
object
required

A simplified presentation request

well_known_trusted_issuers
string
required
Required string length: 1 - 255
Pattern: ^aamva$
custom_certificate_authority
string | null
Required string length: 1 - 4096

Response

Template successfully created.

id
string
default:vct_0000000000000001

The id of the template.

name
string

The name of the template.

type
string
default:mdl

The type of the template.

dialect
string
default:simplified/1.0

The dialect of the template.

Maximum string length: 255
presentation
object

A simplified presentation request

custom_certificate_authority
string | null

The custom certificate authority.

Required string length: 1 - 4096
well_known_trusted_issuers
string | null

The well-known trusted issuers, comma separated.

Required string length: 1 - 255
created_at
string<date-time>
default:2021-01-01T00:00:00Z

The date and time the template was created.

updated_at
string<date-time>
default:2021-01-01T00:00:00Z

The date and time the template was created.